Bug 578572 - (CVE-2010-0009) CVE-2010-0009 Apache CouchDB v0.10.0 prone to timing attacks vulnerability
CVE-2010-0009 Apache CouchDB v0.10.0 prone to timing attacks vulnerability
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
http://seclists.org/bugtraq/2010/Mar/254
impact=moderate,source=gentoo,reporte...
: Security
Depends On: 578580
Blocks:
  Show dependency treegraph
 
Reported: 2010-03-31 13:04 EDT by Jan Lieskovsky
Modified: 2010-05-12 08:24 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-05-12 02:04:27 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jan Lieskovsky 2010-03-31 13:04:57 EDT
Apache CouchDB upstream has released latest, v0.11.0
version, addressing timing attack flaw(s). More from Bugtraq
post:
  [1] http://seclists.org/bugtraq/2010/Mar/254

"Apache CouchDB versions prior to version 0.11.0 are vulnerable to
timing attacks, also known as side-channel information leakage,
due to using simple break-on-inequality string comparisons when
verifying hashes and passwords."

References:
  [2] http://wiki.apache.org/couchdb/Breaking_changes
  [3] http://codahale.com/a-lesson-in-timing-attacks/
  [4] http://couchdb.apache.org/
  [5] http://couchdb.apache.org/downloads.html

Credit:
  Jason Davies of the Apache CouchDB development team

CVE Request for Apache CouchDB v0.11.0:
  [6] http://www.openwall.com/lists/oss-security/2010/03/31/5
Comment 1 Jan Lieskovsky 2010-03-31 13:07:53 EDT
This issue affects the current versions of the couchdb
package, as shipped with Fedora release of 11 and 12.

This issue affects the current version of the couchdb
package, as shipped within EPEL-5 repository.

Please rebase to new upstream version.
Comment 3 Jan Lieskovsky 2010-03-31 15:29:29 EDT
This is CVE-2010-0009:
  [7] http://seclists.org/fulldisclosure/2010/Mar/554
Comment 4 Nils Breunese 2010-04-20 14:22:29 EDT
This vulnerability is fixed in 0.10.2 as well as 0.11.0. See http://couchdb.apache.org/downloads.html
Comment 5 Fedora Update System 2010-05-07 14:14:45 EDT
couchdb-0.10.2-1.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/couchdb-0.10.2-1.fc11
Comment 6 Fedora Update System 2010-05-07 14:14:47 EDT
couchdb-0.10.2-1.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/couchdb-0.10.2-1.fc12
Comment 7 Fedora Update System 2010-05-07 14:14:56 EDT
couchdb-0.10.2-1.el5 has been submitted as an update for Fedora EPEL 5.
http://admin.fedoraproject.org/updates/couchdb-0.10.2-1.el5
Comment 8 Fedora Update System 2010-05-07 14:15:00 EDT
couchdb-0.10.2-1.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/couchdb-0.10.2-1.fc13
Comment 9 Fedora Update System 2010-05-11 15:37:46 EDT
couchdb-0.10.2-1.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 10 Fedora Update System 2010-05-11 15:40:21 EDT
couchdb-0.10.2-1.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 11 Fedora Update System 2010-05-11 21:52:16 EDT
couchdb-0.10.2-1.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 12 Fedora Update System 2010-05-12 08:24:51 EDT
couchdb-0.10.2-1.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.